Bug 855488 - Wallpaper gets fuzzy on dual monitors after monitor plug/unplugs
Wallpaper gets fuzzy on dual monitors after monitor plug/unplugs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
17
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-07 23:22 EDT by Wolfgang Rupprecht
Modified: 2013-08-01 03:02 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 03:02:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wolfgang Rupprecht 2012-09-07 23:22:35 EDT
Description of problem:

With multiple monitors and "span" support the wallpaper is resized on the fly to fit the monitors.  When a monitor is unplugged or powered down that image is once again resized.  After multiple resizings the image gets darn fuzzy.  Resizing is a good idea, but it really needs to resized from the original, not the previously reized image.


Version-Release number of selected component (if applicable):
gnome-shell.x86_64                   3.4.1-5.fc17                    @anaconda-0


How reproducible:
Always.

Steps to Reproduce:
1. test on a dual monitor machine with a background image display type of "span"
2. turn one monitor off and wait for the image to resize
3. turn the monitor on again.
4. Repeat above 2 steps a few times
5. notice the image gets fuzzier each time the monitor is turned back on.
  
Actual results:
fuzzy image

Expected results:
sharp image

Additional info:
Sorry if I selected the wrong gnome component to file this again.  Please retarget if gnome-shell isn't the responsible entity.

GDM's background has the same problem.  Would this be a gdm bug?
Comment 1 Fedora End Of Life 2013-07-03 21:57:09 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 03:02:38 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.